0

As you can see the log , there seem to be a problem with the raspberrypi-bootloader. I do not know whats going, but it looks like a dependency problem. But because it happens alter a upgrade I suppose that there is a problem with the raspberrypi-bootloader that could be because the raspberrypi-bootloader has a problem I can not fix.

root@Pi3:~# apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
5 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]
raspberrypi-bootloader (1.20161020-1) wird eingerichtet ...
Keine Umleitung »Umleitung von /boot/start.elf durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/start_cd.elf durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/start_db.elf durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/start_x.elf durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/fixup.dat durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/fixup_cd.dat durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/fixup_db.dat durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/fixup_x.dat durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/bootcode.bin durch rpikernelhack«, keine entfernt.
Keine Umleitung »Umleitung von /boot/LICENCE.broadcom durch rpikernelhack«, keine entfernt.
dpkg: Fehler beim Bearbeiten des Paketes raspberrypi-bootloader (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libraspberrypi0:
 libraspberrypi0 hängt ab von raspberrypi-bootloader (= 1.20161020-1); aber:
  Paket raspberrypi-bootloader ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes libraspberrypi0 (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libraspberrypi-bin:
 libraspberrypi-bin hängt ab von libraspberrypi0 (= 1.20161020-1); aber:
  Paket libraspberrypi0 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes libraspberrypi-bin (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libraspberrypi-dev:
 libraspberrypi-dev hängt ab von libraspberrypi0 (= 1.20161020-1); aber:
  Paket libraspberrypi0 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes libraspberrypi-dev (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von libraspberrypi-doc:
 libraspberrypi-doc hängt ab von libraspberrypi0 (= 1.20161020-1); aber:
  Paket libraspberrypi0 ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes libraspberrypi-doc (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 raspberrypi-bootloader
 libraspberrypi0
 libraspberrypi-bin
 libraspberrypi-dev
 libraspberrypi-doc
E: Sub-process /usr/bin/dpkg returned an error code (1)

first I tried mount

root@Pi3:~# LC_ALL=C mount
/dev/mmcblk0p2 on / type ext4 (rw,noatime,data=ordered)
devtmpfs on /dev type devtmpfs (rw,relatime,size=437060k,nr_inodes=109265,mode=755)
sysfs on /sys type sysfs (rw,nosuid,nodev,noexec,relatime)
proc on /proc type proc (rw,relatime)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000)
tmpfs on /run type tmpfs (rw,nosuid,nodev,mode=755)
tmpfs on /run/lock type tmpfs (rw,nosuid,nodev,noexec,relatime,size=5120k)
tmpfs on /sys/fs/cgroup type tmpfs (ro,nosuid,nodev,noexec,mode=755)
cgroup on /sys/fs/cgroup/systemd type cgroup (rw,nosuid,nodev,noexec,relatime,xattr,release_agent=/lib/systemd/systemd-cgroups-agent,name=systemd)
cgroup on /sys/fs/cgroup/cpu,cpuacct type cgroup (rw,nosuid,nodev,noexec,relatime,cpu,cpuacct)
cgroup on /sys/fs/cgroup/blkio type cgroup (rw,nosuid,nodev,noexec,relatime,blkio)
cgroup on /sys/fs/cgroup/memory type cgroup (rw,nosuid,nodev,noexec,relatime,memory)
cgroup on /sys/fs/cgroup/devices type cgroup (rw,nosuid,nodev,noexec,relatime,devices)
cgroup on /sys/fs/cgroup/freezer type cgroup (rw,nosuid,nodev,noexec,relatime,freezer)
cgroup on /sys/fs/cgroup/net_cls type cgroup (rw,nosuid,nodev,noexec,relatime,net_cls)
systemd-1 on /proc/sys/fs/binfmt_misc type autofs (rw,relatime,fd=22,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)
debugfs on /sys/kernel/debug type debugfs (rw,relatime)
mqueue on /dev/mqueue type mqueue (rw,relatime)
configfs on /sys/kernel/config type configfs (rw,relatime)
fusectl on /sys/fs/fuse/connections type fusectl (rw,relatime)
tmpfs on /var/log type tmpfs (rw,nosuid,noatime,size=15360k,mode=755)
/dev/mmcblk0p1 on /boot type vfat (rw,relatime,fmask=0022,dmask=0022,codepage=437,iocharset=ascii,shortname=mixed,errors=remount-ro)
/dev/sda1 on /media/pi/USBHDD type vfat (rw,noexec,relatime,uid=1000,gid=1000,fmask=0007,dmask=0007,allow_utime=0020,codepage=437,iocharset=ascii,shortname=mixed,errors=remount-ro)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,relatime)
tmpfs on /run/user/1000 type tmpfs (rw,nosuid,nodev,relatime,size=88280k,mode=700,uid=1000,gid=1000)
/dev/sdb1 on /media/pi/USBSSD type vfat (rw,noexec,relatime,uid=1000,gid=1000,fmask=0007,dmask=0007,allow_utime=0020,codepage=437,iocharset=ascii,shortname=mixed,errors=remount-ro)

the next I tried to purge raspberry bootloader

root@Pi3:~# LC_ALL=C dpkg -p raspberrypi-bootloader
dpkg-query: package 'raspberrypi-bootloader' is not available
Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.

and then I sat it on hold

root@Pi3:~# LC_ALL=C apt-mark hold raspberrypi-bootloader
raspberrypi-bootloader was already set on hold.
  • Was ist das? Konnen Sie eine Frage stellen bitte. – WillyWonka Nov 9 '16 at 8:15
  • 1
    There's probably nothing wrong with the bootloader as currently installer (obviously you can boot), but the package manager has gotten screwed up. People have similar problems here fairly oftern, but cross referencing this list with this list, gives only one parallel, and no proposed solution. – goldilocks Nov 15 '16 at 13:11
  • 1
    However, that package manager has been in use for almost 20 years on various Debian derived distros, and searching the wider web gives much more to sift through, some of which looks to be useful. – goldilocks Nov 15 '16 at 13:11
  • 1
    I'd try the equivalent to this: serverfault.com/a/397832/203032 But unless you have another machine you can stick the SD card in and read the root filesystem, I'd make sure to back anything or everything up first as if it ends up removing the current bootloader in the process but then fails to re-install it, you'll have problems. – goldilocks Nov 15 '16 at 13:19
1

The real error here is that your system failed to configure raspberrypi-bootloader package. Seems like it fails to remove old files in /boot directory which need to be upgraded.

  1. Make sure your /boot directory is mounted and not read-only (run mount to check). If it's not, remount it correctly and retry.

  2. If that doesn't help, purge the package with dpkg -p raspberrypi-bootloader and reinstall it again. Note that you'll be in trouble if you manage to uninstall the bootloader, but fail to reinstall it for some reason. Don't reboot until you reinstall it successfully, otherwise you won't be able to boot.

  3. Alternatively, tell your system you don't want to upgrade that package with sudo apt-mark hold raspberrypi-bootloader, and carry on. Chances are, you can live with a slightly outdated bootloader.

Side note: when posting on English forums, it's good etiquette to run your commands with LC_ALL=C prefix (that is, LC_ALL=C apt-get upgrade) to get error messages in English.

  • check the question I will update it with your sugestions – user1888089 Nov 15 '16 at 14:21
  • 2
    @eichertc OK, your /boot is mounted in rw mode so #1 is out of the question. – Dmitry Grigoryev Nov 15 '16 at 14:28
  • dmitry, I am not sure if its booting again, afaik there was a way to simulate a boot ...but I can't remember it – user1888089 Nov 15 '16 at 14:33
  • 1
    Be careful if you rely on that system, make backups if necessary and remember that free advice is only as good as you've paid for it. That said, looks like the package in question is already set on hold in your system. Try to unhold it with apt-mark and reinstall. Try purging (perhaps with dpkg --purge--pending) if it won't reinstall. – Dmitry Grigoryev Nov 15 '16 at 14:38

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.